﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Shapes;
using System.Windows.Threading;
using Telerik.Charting;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ChartView;
using Telerik.Windows.Data;
using System.IO;
using Telerik.Windows.Media.Imaging;
using System.Windows.Media.Effects;

namespace SLApp
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class MainViewModel
    {
        public ObservableCollection<PlotInfo> Data { get; private set; }

        public MainViewModel()
        {
            this.Data = GetTestData(10);
        }

        private static ObservableCollection<PlotInfo> GetTestData(int dataSize)
        {
            var result = new ObservableCollection<PlotInfo>();

            result.Add(new PlotInfo { X = 0, Y = 10 });
            result.Add(new PlotInfo { X = 1, Y = 30 });
            result.Add(new PlotInfo { X = 1.3, Y = 70 });
            result.Add(new PlotInfo { X = 2.8, Y = 60 });
            result.Add(new PlotInfo { X = 3, Y = 40 });
            result.Add(new PlotInfo { X = 4, Y = 30 });
            result.Add(new PlotInfo { X = 5.6, Y = 90 });
            result.Add(new PlotInfo { X = 6, Y = 50 });
            result.Add(new PlotInfo { X = 7, Y = 30 });

            return result;
        }
    }

    public class PlotInfo
    {
        public double X { get; set; }

        public double Y { get; set; }
    }
}